Files
Complete File Upload
Complete a file upload.
Scopes: files:write
POST
/
v1
/
files
/
{id}
/
uploaded
python (new sdk)
from polar.v2026_04 import Polar
polar = Polar("polar_oat_xxx")
response = polar.files.uploaded(
'00000000-0000-4000-8000-000000000000',
id='string',
path='string',
parts=[{'number': 1,
'checksum_etag': 'string',
'checksum_sha256_base64': 'string'}],
)
print(response)
import { createPolar } from "@polar-sh/sdk/2026-04";
const polar = createPolar({
accessToken: "polar_oat_xxx",
});
const response = await polar.files.uploaded(
"00000000-0000-4000-8000-000000000000",
{
"id": "string",
"path": "string",
"parts": [
{
"number": 1,
"checksum_etag": "string",
"checksum_sha256_base64": "string"
}
]
},
);
console.log(response);
curl --request POST \
--url https://api.polar.sh/v1/files/{id}/uploaded \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"path": "<string>",
"parts": [
{
"number": 123,
"checksum_etag": "<string>",
"checksum_sha256_base64": "<string>"
}
]
}
'import requests
url = "https://api.polar.sh/v1/files/{id}/uploaded"
payload = {
"id": "<string>",
"path": "<string>",
"parts": [
{
"number": 123,
"checksum_etag": "<string>",
"checksum_sha256_base64": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
path: '<string>',
parts: [{number: 123, checksum_etag: '<string>', checksum_sha256_base64: '<string>'}]
})
};
fetch('https://api.polar.sh/v1/files/{id}/uploaded', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organization_id": "<string>",
"name": "<string>",
"path": "<string>",
"mime_type": "<string>",
"size": 123,
"storage_version": "<string>",
"checksum_etag": "<string>",
"checksum_sha256_base64": "<string>",
"checksum_sha256_hex": "<string>",
"last_modified_at": "2023-11-07T05:31:56Z",
"version": "<string>",
"service": "<string>",
"is_uploaded": true,
"created_at": "2023-11-07T05:31:56Z",
"size_readable": "<string>"
}{
"error": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
patoat
Path Parameters
The file ID.
Body
application/json
Response
File upload completed.
- DownloadableFileRead
- ProductMediaFileRead
- OrganizationAvatarFileRead
- SupportCaseAttachmentFileRead
File to be associated with the downloadables benefit.
The ID of the object.
Allowed value:
"downloadable"Was this page helpful?
Previous
Get OrganizationGet an organization by ID.
**Scopes**: `organizations:read` `organizations:write`
Next
⌘I
python (new sdk)
from polar.v2026_04 import Polar
polar = Polar("polar_oat_xxx")
response = polar.files.uploaded(
'00000000-0000-4000-8000-000000000000',
id='string',
path='string',
parts=[{'number': 1,
'checksum_etag': 'string',
'checksum_sha256_base64': 'string'}],
)
print(response)
import { createPolar } from "@polar-sh/sdk/2026-04";
const polar = createPolar({
accessToken: "polar_oat_xxx",
});
const response = await polar.files.uploaded(
"00000000-0000-4000-8000-000000000000",
{
"id": "string",
"path": "string",
"parts": [
{
"number": 1,
"checksum_etag": "string",
"checksum_sha256_base64": "string"
}
]
},
);
console.log(response);

